Loading...
Searching...
No Matches
globjects::Error Class Reference

Wrapper for OpenGL errors. More...

`#include <globjects/include/globjects/Error.h>`

## Public Member Functions

| Error ()
| Error (gl::GLenum errorCode)
gl::GLenum | code () const
std::string | name () const
bool | isError () const
| operator bool () const

## Static Public Member Functions

static Error | get ()
static void | clear ()

## Protected Attributes

gl::GLenum | m_errorCode

## Detailed Description

Wrapper for OpenGL errors.

To access the current Error (which can be none), call get(). To discard any current error, call clear().

## Constructor & Destructor Documentation

## Error() [1/2]

globjects::Error::Error | ( |  | ) |

## Error() [2/2]

globjects::Error::Error | ( | gl::GLenum | errorCode | ) |

## Member Function Documentation

## get()

static Error globjects::Error::get | ( |  | ) |

static

## clear()

static void globjects::Error::clear | ( |  | ) |

static

## code()

gl::GLenum globjects::Error::code | ( |  | ) | const

## name()

std::string globjects::Error::name | ( |  | ) | const

## isError()

bool globjects::Error::isError | ( |  | ) | const

## operator bool()

globjects::Error::operator bool | ( |  | ) | const

## Member Data Documentation

## m_errorCode

gl::GLenum globjects::Error::m_errorCode

protected

The documentation for this class was generated from the following file:

- Error.h